Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh	(revision 1197)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronCaptureXS.hh	(revision 1197)
@@ -0,0 +1,107 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4NeutronCaptureXS.hh,v 1.1 2009/11/12 00:36:01 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class header file
+//
+//
+// File name:    G4NeutronCaptureXS
+//
+// Author  Ivantchenko, Geant4, 3-AUG-09
+//
+// Modifications:
+//
+ 
+
+#ifndef G4NeutronCaptureXS_h
+#define G4NeutronCaptureXS_h 1
+
+#include "G4VCrossSectionDataSet.hh"
+#include "globals.hh"
+
+class G4DynamicParticle;
+class G4ParticleDefinition;
+class G4Element;
+class G4PhysicsVector;
+
+class G4NeutronCaptureXS : public G4VCrossSectionDataSet
+{
+public: // With Description
+
+  G4int Z;
+  G4NeutronCaptureXS();
+
+  virtual ~G4NeutronCaptureXS();
+
+  // The following methods need to be implemented for each new data set.
+  virtual
+  G4bool IsApplicable(const G4DynamicParticle*, const G4Element*);
+
+  virtual
+  G4bool IsZAApplicable(const G4DynamicParticle*, 
+			G4double /*Z*/, G4double /*A*/);
+
+  virtual
+  G4double GetCrossSection(const G4DynamicParticle*, 
+			   const G4Element*, 
+	 		   G4double aTemperature = 0.);
+
+  virtual
+  void BuildPhysicsTable(const G4ParticleDefinition&);
+
+  virtual
+  void DumpPhysicsTable(const G4ParticleDefinition&);
+
+
+public: // Without Description
+
+  inline void SetVerboseLevel(G4int value)
+  {
+    verboseLevel = value;
+  }
+  inline G4int GetVerboseLevel()
+  {
+    return verboseLevel;
+  }
+
+private: // Without Description
+
+  void Initialise(G4int Z, const char* = 0);
+
+  G4NeutronCaptureXS & operator=(const G4NeutronCaptureXS &right);
+  G4NeutronCaptureXS(const G4NeutronCaptureXS&);
+
+  G4double         emax;
+  G4PhysicsVector* data[93];
+
+  G4bool  isInitialized;
+
+};
+
+#endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh	(revision 1197)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronElasticXS.hh	(revision 1197)
@@ -0,0 +1,109 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4NeutronElasticXS.hh,v 1.3 2009/11/19 11:51:46 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class header file
+//
+//
+// File name:    G4NeutronElasticXS
+//
+// Author  Ivantchenko, Geant4, 3-AUG-09
+//
+// Modifications:
+//
+ 
+
+#ifndef G4NeutronElasticXS_h
+#define G4NeutronElasticXS_h 1
+
+#include "G4VCrossSectionDataSet.hh"
+#include "globals.hh"
+
+class G4DynamicParticle;
+class G4ParticleDefinition;
+class G4Element;
+class G4PhysicsVector;
+class G4GlauberGribovCrossSection;
+
+class G4NeutronElasticXS : public G4VCrossSectionDataSet
+{
+public: // With Description
+
+  G4int Z;
+  G4NeutronElasticXS();
+
+  virtual ~G4NeutronElasticXS();
+
+  // The following methods need to be implemented for each new data set.
+  virtual
+  G4bool IsApplicable(const G4DynamicParticle*, const G4Element*);
+
+  virtual
+  G4bool IsZAApplicable(const G4DynamicParticle*, 
+			G4double /*Z*/, G4double /*A*/);
+
+  virtual
+  G4double GetCrossSection(const G4DynamicParticle*, 
+			   const G4Element*, 
+	 		   G4double aTemperature = 0.);
+
+  virtual
+  void BuildPhysicsTable(const G4ParticleDefinition&);
+
+  virtual
+  void DumpPhysicsTable(const G4ParticleDefinition&);
+
+public: // Without Description
+
+  inline void SetVerboseLevel(G4int value)
+  {
+    verboseLevel = value;
+  }
+  inline G4int GetVerboseLevel()
+  {
+    return verboseLevel;
+  }
+
+private: // Without Description
+
+  void Initialise(G4int Z, G4DynamicParticle* dp = 0, const char* = 0);
+
+  G4NeutronElasticXS & operator=(const G4NeutronElasticXS &right);
+  G4NeutronElasticXS(const G4NeutronElasticXS&);
+  
+  G4GlauberGribovCrossSection* ggXsection;
+
+  G4PhysicsVector* data[93];
+  G4double         coeff[93];
+
+  G4bool  isInitialized;
+
+};
+
+#endif
Index: trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh
===================================================================
--- trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh	(revision 1197)
+++ trunk/source/processes/hadronic/cross_sections/include/G4NeutronInelasticXS.hh	(revision 1197)
@@ -0,0 +1,109 @@
+//
+// ********************************************************************
+// * License and Disclaimer                                           *
+// *                                                                  *
+// * The  Geant4 software  is  copyright of the Copyright Holders  of *
+// * the Geant4 Collaboration.  It is provided  under  the terms  and *
+// * conditions of the Geant4 Software License,  included in the file *
+// * LICENSE and available at  http://cern.ch/geant4/license .  These *
+// * include a list of copyright holders.                             *
+// *                                                                  *
+// * Neither the authors of this software system, nor their employing *
+// * institutes,nor the agencies providing financial support for this *
+// * work  make  any representation or  warranty, express or implied, *
+// * regarding  this  software system or assume any liability for its *
+// * use.  Please see the license in the file  LICENSE  and URL above *
+// * for the full disclaimer and the limitation of liability.         *
+// *                                                                  *
+// * This  code  implementation is the result of  the  scientific and *
+// * technical work of the GEANT4 collaboration.                      *
+// * By using,  copying,  modifying or  distributing the software (or *
+// * any work based  on the software)  you  agree  to acknowledge its *
+// * use  in  resulting  scientific  publications,  and indicate your *
+// * acceptance of all terms of the Geant4 Software license.          *
+// ********************************************************************
+//
+// $Id: G4NeutronInelasticXS.hh,v 1.3 2009/11/19 11:52:27 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
+//
+// -------------------------------------------------------------------
+//
+// GEANT4 Class header file
+//
+//
+// File name:    G4NeutronInelasticXS
+//
+// Author  Ivantchenko, Geant4, 3-AUG-09
+//
+// Modifications:
+//
+ 
+
+#ifndef G4NeutronInelasticXS_h
+#define G4NeutronInelasticXS_h 1
+
+#include "G4VCrossSectionDataSet.hh"
+#include "globals.hh"
+
+class G4DynamicParticle;
+class G4ParticleDefinition;
+class G4Element;
+class G4PhysicsVector;
+class G4GlauberGribovCrossSection;
+
+class G4NeutronInelasticXS : public G4VCrossSectionDataSet
+{
+public: // With Description
+
+  G4int Z;
+  G4NeutronInelasticXS();
+
+  virtual ~G4NeutronInelasticXS();
+
+  // The following methods need to be implemented for each new data set.
+  virtual
+  G4bool IsApplicable(const G4DynamicParticle*, const G4Element*);
+
+  virtual
+  G4bool IsZAApplicable(const G4DynamicParticle*, 
+			G4double /*Z*/, G4double /*A*/);
+
+  virtual
+  G4double GetCrossSection(const G4DynamicParticle*, 
+			   const G4Element*, 
+	 		   G4double aTemperature = 0.);
+
+  virtual
+  void BuildPhysicsTable(const G4ParticleDefinition&);
+
+  virtual
+  void DumpPhysicsTable(const G4ParticleDefinition&);
+
+public: // Without Description
+
+  inline void SetVerboseLevel(G4int value)
+  {
+    verboseLevel = value;
+  }
+  inline G4int GetVerboseLevel()
+  {
+    return verboseLevel;
+  }
+
+private: // Without Description
+
+  void Initialise(G4int Z, G4DynamicParticle* dp = 0, const char* = 0);
+
+  G4NeutronInelasticXS & operator=(const G4NeutronInelasticXS &right);
+  G4NeutronInelasticXS(const G4NeutronInelasticXS&);
+  
+  G4GlauberGribovCrossSection* ggXsection;
+
+  G4PhysicsVector* data[93];
+  G4double         coeff[93];
+
+  G4bool  isInitialized;
+
+};
+
+#endif
